Skip links
Arpine Maghakyan

Arpine Maghakyan

Security Researcher of RedRays.

HTTP verb tampering issue in CBS, SAP security note 1624182

Description

In CBS, there are problems with authorization and authentication checks if certain HTTP methods are used.
An attacker can control the behavior of the system, or potentially escalate privileges by executing malicious code, without having legitimate credentials.

Available fix and Supported packages

  • DI_CBS | 6.40 | 6.40
  • DI_CBS | 7.00 | 7.02
  • DI_CBS | 7.10 | 7.11
  • DI_CBS | 7.20 | 7.20
  • DI_CBS | 7.30 | 7.30
  • DI_CBS | 7.31 | 7.31
  • SAP_DEVINF | 6.40 | 6.40
  • DI COMPONENT BUILD SERVER 7.00 | SP022 | 000004
  • DI COMPONENT BUILD SERVER 7.00 | SP023 | 000002
  • DI COMPONENT BUILD SERVER 7.00 | SP024 | 000001
  • DI COMPONENT BUILD SERVER 7.00 | SP025 | 000001
  • DI COMPONENT BUILD SERVER 7.00 | SP026 | 000000
  • DI COMPONENT BUILD SERVER 7.01 | SP007 | 000002
  • DI COMPONENT BUILD SERVER 7.01 | SP008 | 000001
  • DI COMPONENT BUILD SERVER 7.01 | SP009 | 000001
  • DI COMPONENT BUILD SERVER 7.01 | SP010 | 000002
  • DI COMPONENT BUILD SERVER 7.01 | SP011 | 000000
  • DI COMPONENT BUILD SERVER 7.02 | SP003 | 000002
  • DI COMPONENT BUILD SERVER 7.02 | SP004 | 000002
  • DI COMPONENT BUILD SERVER 7.02 | SP005 | 000002
  • DI COMPONENT BUILD SERVER 7.02 | SP006 | 000002
  • DI COMPONENT BUILD SERVER 7.02 | SP007 | 000002
  • DI COMPONENT BUILD SERVER 7.02 | SP008 | 000002
  • DI COMPONENT BUILD SERVER 7.02 | SP009 | 000001
  • DI COMPONENT BUILD SERVER 7.02 | SP010 | 000000
  • DI COMPONENT BUILD SERVER 7.10 | SP014 | 000000
  • DI COMPONENT BUILD SERVER 7.11 | SP005 | 000003

Affected component

    BC-CTS-CBS
    Component Build Server & Component Infrastructure

CVSS

Score: 0

Exploit

Detailed vulnerability information added to RedRays Security Platform. Contact [email protected] for details.

URL

https://launchpad.support.sap.com/#/notes/1624182

TAGS

#Verb-Tampering
#HTTP-method
#CBS

More to explorer

SAP Cloud Connector Certificate Validation Issue

Date of Release: February 13, 2024 Advisory ID: CVE-2024-25642 Affected Software: SAP Cloud Connector Versions Affected: 2.15.0 to 2.16.1 Vulnerability Summary:A critical vulnerability,

Protect Your SAP with RedRays Security Platform

Explore the Power of Our Scanner with an Interactive Prototype Below